Skip to main content
PUT
/
api
/
v1
/
categories
/
{category_id}
Actualizar categoría
curl --request PUT \
  --url https://api.lapyme.com.ar/api/v1/categories/{category_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "name": "<string>",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "default_economic_activity": "<string>"
}
'
{
  "request_id": "<string>",
  "data": {
    "category": {
      "object": "category",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "default_economic_activity": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  },
  "warnings": [
    "<unknown>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.lapyme.com.ar/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer.

Headers

Idempotency-Key
string
required
Required string length: 1 - 255

Path Parameters

category_id
string<uuid>
required

Body

application/json
name
string
required
Required string length: 1 - 100
parent_id
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
default_economic_activity
string | null
Pattern: ^\d{6}$

Response

Categoría actualizada exitosamente

request_id
string
required
data
object
required
warnings
any[]
required